
package com.tmerclub.cloud.api.platform.vo;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/5 16:30
 */
public class UriPermissionVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 请求方法 1.GET 2.POST 3.PUT 4.DELETE
     */
    private Integer method;

    /**
     * uri
     */
    private String uri;

    /**
     * permission
     */
    private String permission;

    /**
     * 用户拥有该权限
     */
    private Boolean hasPermission;

    public Integer getMethod() {
        return method;
    }

    public void setMethod(Integer method) {
        this.method = method;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public Boolean getHasPermission() {
        return hasPermission;
    }

    public void setHasPermission(Boolean hasPermission) {
        this.hasPermission = hasPermission;
    }

    @Override
    public String toString() {
        return "UriPermissionBO{" +
                "method=" + method +
                ", uri='" + uri + '\'' +
                ", permission='" + permission + '\'' +
                ", hasPermission=" + hasPermission +
                '}';
    }
}
